Subject: Re: [PATCH 1/1] t9115: Skip pathnameencoding=cp932 under HFS

From: Kazutoshi Satoda <[email-masked]>
Date: Thu, 17 Mar 2016 02:37:07 +0900

On 2016/03/15 16:09 +0900, Eric Wong wrote:
> Torsten Bögershausen <[email-masked]> wrote:
>> On 03/15/2016 02:59 AM, Eric Wong wrote:
>> >[]
>> >I just edited locally and pushed those out to Junio:
>> >
>> >http://mid.gmane.org/[email-masked]
>> >
>> 
>> The new TC 11/12 don't pass under cygwin.
>> 
>> Do we need cp932 ?
> 
> Not sure, both CP932 and ISO8859-1 work fine for me on
> GNU/Linux.   Anyways I'm fine skipping this patch for 2.8
> while we hash it out, too.
> 
> Kazutoshi: can you answer?  Thanks.

I tried the patch. The test works (pass with my fixes, and fails
without fixes) with ISO8859-1 for me on Cygnus. The change sounds
good.

>> If not, we may use the paych from here:
>> https://github.com/tboegi/git/commit/379c01bf52464f8a50065b11af516127e9144045
>> 
>> Date:   Tue Mar 15 05:03:18 2016 +0100
>> 
>>     t9115: Use funcky file names that work under unicode FS

"funcky" looks a typo.

>>     Don't use funky file names, that can not be created under
>>     HFS or NTFS.

The file can be created on my Cygnus environment, which is under FONTS.
So it looks a bit inaccurate.

I think a quote from the actual error message may be useful. It will
likely tell what was wrong, accurately. And also, someone may search for
that message.

>> -       neq=$(printf "\201\202") &&
>> -       git config svn.pathnameencoding cp932 &&
>> +       neq=$(printf "\303\244") &&
>> +       git config svn.pathnameencoding ISO8859-1 &&

The variable name "new" was for "NOT EQUAL TO" (0x8182 in cp932 = U+2260).
http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP932.TXT
Then it should be changed, too. A more abstract one may be appropriate.

>> -       inf=$(printf "\201\207") &&
>> -       git config svn.pathnameencoding cp932 &&
>> +       inf=$(printf "\303\226") &&
>> +       git config svn.pathnameencoding ISO8859-1 &&

Ditto. (0x8187 in cp932 = U+221E, INFINITY)

-- 
k_satoda